Subject: [AVT] MPEG2TS preamble breakout notes

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 29 Jul 2010 19:21:15 +0200

These are the notes the from the MPEG2 preamble discussion originally drafted by Stefan (thanks Stefan) and to which I have added some of my own bits. Additional comments on omissions or corrections are welcome - please put your revised text in an email to me. These will be going in the proceedings.

If anyone wants Stefans original so you can see the bits I've added you are welcome to send me a request.

I will generate a separate message on where we might go next.

regards

Keith

AVT Breakout Thursday 11:45-12:45
---------------------------------

Keith chairing
Note Well applies

MPEG-2 Preamble

Keith: 2 solutions for preamble

At last meeting there was a consensus call whether we can adopt both solution.  With that call we are not in position to adopt both solutions.  If both, we need to justify why both.

Has anyone change positions from last meeting?

Roni: talking about two solutions, can have full interop by server (RS supports both, client requests solution).

Keith: narrow problem, little opportunity for innovation, two solutions are unadvised

Roni: best to have 1 solution.  However. 

Oran: crux no agreement that we are only specifying bits on the wire

Roni: When you want to move fast then need to compromise.  Consensus is to agree in public to something in which you don't believe.  Do we want to move fast?

Bill: thinks that WG should decide best solution.

Keith: Do people feel that the IETF should work in this area.

David: AVT would be ill-advised to submit two solutions, and ask IETF to approve both.

AD: documenting deployed vendor solution without consensus on technology: IETF has done this

Oran: Do we solve an industry problem or an IETF problem.  Battle will move to next level standards bodies.  Selection being made in less experienced body

Roni: Preamble is not stand-alone; its part of RAMs.  WIll get RAMS interop problem.

Stephan: If both solutions are equivalent, more political bodies may be better suited for making decision.

?? not further discussed

Keith: Not seeing sufficient changes currently to see that the decision would be different if WG was polled, i.e. in general that we do not have consensus support for two solutions.

Keith: Is there still support for doing the work at all?

Draft authors in favour.

Ericsson: should continue work
 Keith: how do we decide.

Stefan: Proposed at last meeting an evaluation of both solutions against a given set of metrics.
 Would require both parties to agree on both sets of metrics.

Keith: If doing
 this, would this identify issues of performance, i.e. would it identify issues with one server and 250 clients.

Discussion of scalability, not noted.

Roni: hardest part is ToR, shootout conditions.  

David Oran: bake-off doesn't help, because you need to keep in mind all vendor systems.  Have to look into environment.  

Jonathan: there may be the case that the group decide.

Bill: go for panel of deliberation.  

Roni: the panel needs to be briefed; need ToR

Keith: If we went for an expert review type solution, what areas of expertise do we need?

Jonathan: are the people in MPEG-2 transport 

ROni: Need to be AVT experts as well.

Keith: is it a design factor to have minimal impact on DSP code on deployed base

Cisco: yes, it's important, because they have to dig very deep into code responsive to weird old structure of MPEG-2 transport code 

Ning: this is not a standards issue, very few (if any) modifications to DSP code
.

Keith: I am nbot in a position to form conclusions yet as a result of this discussion. I need to have a discussion with the AD as to how we progress this further.